
import java.util.ArrayList;
//import java.util.*;
/**
 *
 * @author Carlos
 */
public class Hand {
    private ArrayList<Card> hand;//=new ArrayList<Card>();//por ahora 3 cartas en mano
    public Hand (){};
    public Hand(ArrayList<Card> deck){
        int i;
        hand = new ArrayList<Card>();
        for(i=0;i<3;i++){//por ahora la manio es de 3 cartas solamente
            hand.add(deck.get(0));
            deck.remove(0);
        }
    }
    public Card getCard(int pos){
        return hand.get(pos);   
    }
    public void addCard(Card card){
        hand.add(card);
    }
    public int handSize(){
        return hand.size();
    }
    public void removeCard(int pos){
        hand.remove(pos);
    }
}
